# Welcome to Serverless!
#
# This file is the main config file for your service.
# It's very minimal at this point and uses default values.
# You can always add more config options for more control.
# We've included some commented out config examples here.
# Just uncomment any of them to get that config option.
#
# For full config options, check the docs:
#    docs.serverless.com
#
# Happy Coding!

service: spotinst-python # NOTE: update this with your service name

provider:
  name: spotinst
  #stage: <Stage Name>  #Optional. Defaults to 'dev', see https://help.spotinst.com/hc/en-us/articles/115005893409
  spotinst:
    environment: #<env-XXXX> Required.

functions:
  hello:
    runtime: python2.7
    handler: handler.main
    memory: 128
    timeout: 30
    access: private
#    iamRoleConfig:
#      roleId: # role-id
#    activeVersions:
#        - "version": "$LATEST"
#          "percentage": 100.0
#    cors:
#        enabled: # false by default
#        origin:  # '*' by default
#        headers: # 'Content-Type,Authorization' by default
#        methods: # 'DELETE,GET,HEAD,OPTIONS,PATCH,POST,PUT' by default
#    cron:  # Setup scheduled trigger with cron expression
#      active: true
#      value: '* * * * *'
#    environmentVariables:
#      key: Value

# extend the framework using plugins listed here:
# https://github.com/serverless/plugins
plugins:
  - serverless-spotinst-functions
